petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecScatterGetType

Gets the vector scatter type name (as a string) from the VecScatter.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecScatterGetType(VecScatter vscat, VecScatterType *type)

Not Collective

### Input Parameter

vscat -The vector scatter

### Output Parameter

type -The vector scatter type name

### See Also

VecScatterSetType(), VecScatterCreate()

### Level

intermediate

### Location

src/vec/vscat/interface/vscreate.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages